#ifndef CHECKIN_H
#define CHECKIN_H

#include <QDialog>

#include <QtGui/QCheckBox>
#include <QtGui/QLabel>
#include <QtGui/QComboBox>
#include <QtGui/QGridLayout>

class inventory;


namespace Ui {
    class Checkin;
}

// This class is used to display the inventory a person has checked-out and provide
// a means of selcting which items to check-in, all other comments will be with
// method definitions.
class Checkin : public QDialog
{
    Q_OBJECT

public:
    explicit Checkin(QList<inventory*>* inv, QWidget *parent = 0);
    ~Checkin();

private:

    QGridLayout* lay;
    QList<QLabel*> tables;
    QList<QLabel*> transactions;
    QList<QCheckBox*> checks;
    QList<QComboBox*> quantities;

    Ui::Checkin *ui;

private slots:
    void accept();
};

#endif // CHECKIN_H
