#ifndef USER_H
#define USER_H

#include <QDialog>
#include <QListWidgetItem>
#include <database.h>

namespace Ui {
    class User;
}
//This class allows for adding, deleting, viewing, and changing the
//passwords of system users
class User : public QDialog
{
    Q_OBJECT

public:
    explicit User(QWidget *parent = 0);
    ~User();

public slots:
    void userPrepare(QListWidgetItem*);

private slots:
    void addUser();
    void listUsers();
    void deleteUser();
    void resetPassword();


private:
    Ui::User *ui;
    Database *dbusers;
};

#endif // USER_H
