#ifndef AGREEMENT_H
#define AGREEMENT_H

#include <QDialog>

class person;
class inventory;

namespace Ui {
    class Agreement;
}

// This class is used to display and print the agreement meant to be signed by
// the borrower of keys, all other comments will be with method definitions.
class Agreement : public QDialog
{
    Q_OBJECT

public:
    explicit Agreement(person* p, QList<inventory*>* keys, QStringList* rooms, QWidget *parent = 0);
    ~Agreement();

private slots:
    void print();

private:
    Ui::Agreement *ui;
};

#endif // AGREEMENT_H
