#include <QPainter>
#include "qkiacalendar.h"

QKIACalendar::QKIACalendar(QWidget *parent) :
    QCalendarWidget(parent)
{
    paintBrush.setColor(Qt::green);
}

QKIACalendar::~QKIACalendar()
{

}

void QKIACalendar::setColor(QColor &color)
{
    paintBrush.setColor(color);
}

QColor QKIACalendar::getColor()
{
    return paintBrush.color();
}

void QKIACalendar::paintCell(QPainter *painter, const QRect &rect, const QDate &date) const
{
    QCalendarWidget::paintCell(painter,rect,date);
    painter->setBrush(paintBrush);
    painter->drawRect(rect.adjusted(0,0,-1,-1));
}
