#ifndef QKIACALENDAR_H
#define QKIACALENDAR_H

#include <QCalendarWidget>
#include <QColor>
#include <QDate>
#include <QPen>
#include <QBrush>

class QKIACalendar : public QCalendarWidget
{
    Q_OBJECT

    Q_PROPERTY(QColor color READ getColor WRITE setColor)

public:
    explicit QKIACalendar(QWidget *parent = 0);
    ~QKIACalendar();

    void setColor(QColor& color);
    QColor getColor();

    virtual void paintCell(QPainter *painter, const QRect &rect, const QDate &date) const;

private:
    QBrush paintBrush;

signals:

public slots:

};

#endif // QKIACALENDAR_H
