#ifndef SETUP_H
#define SETUP_H

#include <QDialog>
#include <QLabel>
#include "database.h"

namespace Ui {
    class setup;
}

class setup : public QDialog
{
    Q_OBJECT

public:
    explicit setup(QWidget *parent = 0);
    ~setup();

private slots:
    void config();
    void accept();

private:
    bool readConfiguration(QLabel* = NULL);
    Database* dbusers;
    Ui::setup *ui;
};

#endif // SETUP_H
